Subject: Re: bug#39075: 28.0.50; Emacs hangs on 100% CPU and grows beyond bounds in shell-mode

From: Pieter van Oostrum <[email-masked]>
Date: Mon, 20 Jan 2020 14:12:20 +0100

Michael Albinus <[email-masked]> writes:

> Pieter van Oostrum <[email-masked]> writes:
>
>>>> I propose to amend the test also, so that it would have caught this
>>>> error (by hanging).
>>>
>>> I haven't read anything else, so take this with a grain of salt, but
>>> tests that hang (rather than just fail) are a PITA for automated testing.
>>
>> That is true, but the test is there to test the fix, which makes it no
>> longer hang. And as these are in the same commit, the test should
>> never hang, unless somebody breaks the fix later. But then hanging
>> could occur with any bug.
>
> I haven't checked your test case, but in Tramp I try to avoid hanging by
> wrapping process related tests with a timer.
>
> Experience has taught me, that I'm able to break the tests all the time
> by new code :-(
>
If you know a better test to check for this particular fix, I would be happy if you could let me know. I don't know if some timer code would help.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]